Skip to main content
GET
/
v1
/
financial-accounts
List Financial Accounts
curl --request GET \
  --url https://api.monime.io/v1/financial-accounts \
  --header 'Authorization: Bearer <token>' \
  --header 'Monime-Space-Id: <monime-space-id>'
import requests

url = "https://api.monime.io/v1/financial-accounts"

headers = {
"Monime-Space-Id": "<monime-space-id>",
"Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {'Monime-Space-Id': '<monime-space-id>', Authorization: 'Bearer <token>'}
};

fetch('https://api.monime.io/v1/financial-accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "messages": [
    "<unknown>"
  ],
  "result": [
    {
      "id": "<string>",
      "uvan": "<string>",
      "name": "<string>",
      "currency": "<string>",
      "reference": "<string>",
      "description": "<string>",
      "balance": {
        "available": {
          "currency": "<string>",
          "value": 123
        }
      },
      "createTime": "2023-11-07T05:31:56Z",
      "updateTime": "2023-11-07T05:31:56Z",
      "metadata": {}
    }
  ],
  "pagination": {
    "count": 123,
    "next": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer HTTP authentication specified with the header Authorization: Bearer <access_token>

Headers

Monime-Space-Id
string
required

The value is the tenancy parameter that Monime uses to determine which space the request is intended for.

Maximum string length: 64
Pattern: ^spc-.*$
Monime-Version
enum<string> | null

Specifies which version of the Monime API will handle this request.

Available options:
caph.2025-08-23,
caph.2025-06-20

Query Parameters

uvan
string | null

Filter by Universal Virtual Account Number (UVAN), a unique alias for the financial account.

Maximum string length: 16
reference
string | null

Filter by external reference ID used to link the account with your internal system.

Maximum string length: 64
withBalance
boolean

If true, includes the balance of the financial accounts in the response.

limit
integer
default:10

Maximum number of items to return in a single page. Must be between 1 and 50. Defaults to 10 if not specified.

Required range: 1 <= x <= 50
after
string | null

Pagination cursor for fetching the next page of results. Set this to the 'next' cursor value from a previous response to continue paginating forward.

Maximum string length: 2000

Response

200 - application/json

OK

success
boolean

Represents the status of the query operation, confirming if it was successful. This field is always true

messages
any[]

Contains a list of messages providing relevant information or feedback related to the query or operation

result
Financial Account · object[] | null

The list of items in the response

pagination
object

The pagination info associated with the response